Bug 971116 - Unable to update to libtdb 1.2.12-1
Unable to update to libtdb 1.2.12-1
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libtdb (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Simo Sorce
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 14:02 EDT by Heiko Adams
Modified: 2013-06-07 23:41 EDT (History)
5 users (show)

See Also:
Fixed In Version: libtdb-1.2.12-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-07 23:41:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko Adams 2013-06-05 14:02:06 EDT
Description of problem:
It's not possible to apply the latest libtdb update due to dependency problems.

    $ sudo yum update
    Geladene Plugins: aliases, fastestmirror, keys, langpacks, merge-conf, post-transaction-actions, upgrade-helper
    Loading mirror speeds from cached hostfile
     * fedora: ftp.uni-bayreuth.de
     * rpmfusion-free: ftp-stud.hs-esslingen.de
     * rpmfusion-free-updates: ftp-stud.hs-esslingen.de
     * rpmfusion-free-updates-testing: ftp-stud.hs-esslingen.de
     * rpmfusion-nonfree: ftp-stud.hs-esslingen.de
     * rpmfusion-nonfree-updates: ftp-stud.hs-esslingen.de
     * rpmfusion-nonfree-updates-testing: ftp-stud.hs-esslingen.de
     * updates: ftp.uni-bayreuth.de
     * updates-testing: ftp.sh.cvut.cz
    Abhängigkeiten werden aufgelöst
    --> Transaktionsprüfung wird ausgeführt
    ---> Paket libtdb.x86_64 0:1.2.11-2.fc19 markiert, um aktualisiert zu werden
    ---> Paket libtdb.x86_64 0:1.2.12-1.fc19 markiert, um eine Aktualisierung zu werden
    ---> Paket python-tdb.x86_64 0:1.2.11-2.fc19 markiert, um aktualisiert zu werden
    --> Abhängigkeit python-tdb = 1.2.11 wird für Paket pyldb-1.1.15-2.fc19.x86_64 verarbeitet
    ---> Paket python-tdb.x86_64 0:1.2.12-1.fc19 markiert, um eine Aktualisierung zu werden
    --> Finde nicht mehr benötigte Abhängigkeiten
    Found and removing 0 unneeded dependencies
     
    Pakete übersprungen wegen Abhängigkeitsproblemen:
        libtdb-1.2.12-1.fc19.x86_64 von updates-testing
        python-tdb-1.2.12-1.fc19.x86_64 von updates-testing
Comment 1 Fedora Update System 2013-06-05 14:12:41 EDT
libtdb-1.2.12-1.fc19, libldb-1.1.15-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2013-10053/libtdb-1.2.12-1.fc19,libldb-1.1.15-3.fc19
Comment 2 Jakub Hrozek 2013-06-05 14:16:11 EDT
Sorry about the breakage, I forgot that we have an exact version requirement and a) I forgot to update it and b) the check for version equality was too strict.

I changed the pytdb check to be "<=" instead of "=", that matches the checks for other tdb libraries in ldb.
Comment 3 Fedora Update System 2013-06-06 13:32:16 EDT
Package libtdb-1.2.12-1.fc19, libldb-1.1.15-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libtdb-1.2.12-1.fc19 libldb-1.1.15-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10053/libtdb-1.2.12-1.fc19,libldb-1.1.15-3.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-06-07 23:41:20 EDT
libtdb-1.2.12-1.fc19, libldb-1.1.15-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.